=== debian/changelog ===
ptl (2.3.1-1build1) jammy; urgency=medium

  * No-change rebuild for libtbb soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 10:05:08 +0100

ptl (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * fix autopkgtest failure on armhf (Closes: #1001237)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 16 Dec 2021 17:32:19 +0100

ptl (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 04 Dec 2021 12:45:11 +0100

ptl (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 01 Dec 2021 14:29:47 +0100

ptl (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 30 Nov 2021 20:08:06 +0100

ptl (2.0.0-3) unstable; urgency=medium

  * improve autopkgtest duration
  * remove warning if PTL_VERSION is not set in examples

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 29 Nov 2021 14:49:07 +0100

ptl (2.0.0-2) unstable; urgency=medium

  * fix autopkgtest failure on armhf (Closes: #996553)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 26 Nov 2021 01:09:34 +0100

ptl (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Update standards version to 4.6.0.1, no changes needed
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 13 Oct 2021 14:28:32 +0200

ptl (1.0.2-2) experimental; urgency=medium

  * Add missing dependency (Closes: #989110)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 27 May 2021 00:20:12 +0200

ptl (1.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #979413)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 29 Mar 2021 18:03:56 +0200
