=== debian/control ===
Source: ptl
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libtbb-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/jrmadsen/PTL
Vcs-Browser: https://salsa.debian.org/science-team/ptl
Vcs-Git: https://salsa.debian.org/science-team/ptl.git

Package: libptl2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: parallel tasking library
 PTL is a lightweight C++11 multithreading tasking system featuring
 a thread-pool, task-groups, and a lock-free task queue.

Package: libptl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libptl2 (= ${binary:Version}),
 libtbb-dev,
Description: parallel tasking library - development files
 PTL is a lightweight C++11 multithreading tasking system featuring
 a thread-pool, task-groups, and a lock-free task queue.
 .
 This package contains the development files.
