=== debian/tests/control ===
Tests: examples
Depends: @, build-essential, cmake
Restrictions: allow-stderr
