=== debian/changelog ===
ptl (2.3.3-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:41:59 +1100

ptl (2.3.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063295

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:23:28 +0000

ptl (2.3.3-2) unstable; urgency=medium

  * Fix compilation with GCC12 (Closes: #1016942)
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 10 Aug 2022 10:28:32 +0200

ptl (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 27 May 2022 10:07:13 +0200

ptl (2.3.2-2) unstable; urgency=medium

  * tests: fix using exec

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 22 Apr 2022 14:31:34 +0200

ptl (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 03 Mar 2022 23:46:51 +0100
