=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: ptl
 Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  cmake,
  libtbb-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/jrmadsen/PTL
 Vcs-Browser: https://salsa.debian.org/science-team/ptl
 Vcs-Git: https://salsa.debian.org/science-team/ptl.git
 
-Package: libptl2
+Package: libptl2t64
+Provides: ${t64:Provides}
+Replaces: libptl2
+Breaks: libptl2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -29,7 +33,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libptl2 (= ${binary:Version}),
+ libptl2t64 (= ${binary:Version}),
  libtbb-dev,
 Description: parallel tasking library - development files
  PTL is a lightweight C++11 multithreading tasking system featuring
