=== debian/watch ===
version=4
https://github.com/jrmadsen/PTL/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
